# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Patches.pm) perl(Carp.pm) perl(Debian/Dpkg/Version.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/chdir.pm) perl(File/is.pm) perl(Getopt/Long.pm) perl(IO/Any.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Module/Build/SysPath.pm) perl(Moose/Role.pm) perl(Parse/Deb/Control.pm) perl(Path/Class.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/Deep/NoTest.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name CPAN-Patches-Plugin-Debian
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: patch CPAN distributions Debian package
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JK/JKUTEJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module allows to apply custom patches to the CPAN distributions
Debian package.

See http://github.com/jozef/CPAN-Patches-Debian-Set for example generated
Debian patches set folder.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

